/* appl.h */

#define DELCDATA '\035'   /* Delimiters: CDATA entity in att value. */
#define DELSDATA '\036'   /* Delimiters: SDATA entity in att value. */
#define DELNONCH '\037'   /* Prefix: non-SGML character. */
#define ADDNONCH 64       /* Addend: added to non-SGML char (mod 256). */

enum {
     E_NOMEM = 1,
     E_DOC,
     E_EXEC,
     E_FORK,
     E_WAIT,
     E_SIGNAL,
     E_OPEN,
     E_CAPBOTCH
};

VOID process_document P((void));

UNIV xmalloc P((UNS));
VOID appl_error VP((int, ...));

#ifdef SUPPORT_SUBDOC
int run_process P((char **));
char **make_argv P((UNIV));
VOID get_subcaps P((void));
#endif

#ifdef SUPPORT_SUBDOC
extern int suberr;
#endif

extern int suppsw;
extern int locsw;
