.AUTODEPEND

.PATH.obj = \ARCSGML\SF

#		*Translator Definitions*
CC = bcc +REXXSGML.CFG
TASM = TASM
TLINK = tlink


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


EXE_dependencies =  \
  findint.obj \
  rexxcall.obj \
  arclexrf.obj \
  arcpcbrf.obj \
  arcsynrf.obj \
  context.obj \
  modmd1.obj \
  modmd2.obj \
  modpars1.obj \
  modpars2.obj \
  modserv.obj \
  modsgml1.obj \
  modsgml2.obj \
  rexxsgml.obj \
  sgmlapir.obj \
  sgmlio.obj \
  sgmlmem.obj \
  sgmlmsg.obj \
  sgmlxtrn.obj \
  vmxtrn.obj

#		*Explicit Rules*
؎&w-z: rexxsgml.cfg $(EXE_dependencies)
  $(TLINK) /v/x/c/d/P-/L\BORLANDC\LIB @&&|
c0s.obj+
\arcsgml\sf\findint.obj+
\arcsgml\sf\rexxcall.obj+
\arcsgml\sf\arclexrf.obj+
\arcsgml\sf\arcpcbrf.obj+
\arcsgml\sf\arcsynrf.obj+
\arcsgml\sf\context.obj+
\arcsgml\sf\modmd1.obj+
\arcsgml\sf\modmd2.obj+
\arcsgml\sf\modpars1.obj+
\arcsgml\sf\modpars2.obj+
\arcsgml\sf\modserv.obj+
\arcsgml\sf\modsgml1.obj+
\arcsgml\sf\modsgml2.obj+
\arcsgml\sf\rexxsgml.obj+
\arcsgml\sf\sgmlapir.obj+
\arcsgml\sf\sgmlio.obj+
\arcsgml\sf\sgmlmem.obj+
\arcsgml\sf\sgmlmsg.obj+
\arcsgml\sf\sgmlxtrn.obj+
\arcsgml\sf\vmxtrn.obj
\arcsgml\sf\rexxsgml
		# no map file
cs.lib
|


#		*Individual File Dependencies*
findint.obj: findint.asm 
	$(TASM) /MX FINDINT.ASM,\ARCSGML\SF\FINDINT.OBJ

rexxcall.obj: rexxcall.asm 
	$(TASM) /MX REXXCALL.ASM,\ARCSGML\SF\REXXCALL.OBJ

arclexrf.obj: arclexrf.c 

arcpcbrf.obj: arcpcbrf.c 

arcsynrf.obj: arcsynrf.c 

context.obj: context.c 

modmd1.obj: modmd1.c 

modmd2.obj: modmd2.c 

modpars1.obj: modpars1.c 

modpars2.obj: modpars2.c 

modserv.obj: modserv.c 

modsgml1.obj: modsgml1.c 

modsgml2.obj: modsgml2.c 

rexxsgml.obj: rexxsgml.c 

sgmlapir.obj: sgmlapir.c 

sgmlio.obj: sgmlio.c 

sgmlmem.obj: sgmlmem.c 

sgmlmsg.obj: sgmlmsg.c 

sgmlxtrn.obj: sgmlxtrn.c 

vmxtrn.obj: vmxtrn.c 

#		*Compiler Configuration File*
rexxsgml.cfg: rexxsgml.mak
  copy &&|
-f-
-ff-
-K
-G
-O
-k-
-d
-b-
-wpin
-wamb
-wamp
-wasm
-wpro
-wcln
-wdef
-wsig
-wnod
-wstv
-wucp
-wuse
-n\ARCSGML\SF
-IARCSGML\C;\BORLANDC\INCLUDE
-L\BORLANDC\LIB
-DFINAL
| rexxsgml.cfg


