.AUTODEPEND

.PATH.obj = \ARCSGML\S

#		*Translator Definitions*
CC = bcc +VM2T.CFG
TASM = TASM
TLINK = tlink


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


EXE_dependencies =  \
  arclexrf.obj \
  arcpcbrf.obj \
  arcsynrf.obj \
  context.obj \
  modmd1.obj \
  modmd2.obj \
  modpars1.obj \
  modpars2.obj \
  modserv.obj \
  modsgml1.obj \
  modsgml2.obj \
  sgmlapi.obj \
  sgmlio.obj \
  sgmlmem.obj \
  sgmlmsg.obj \
  sgmlxtrn.obj \
  vm2.obj \
  vmxtrn.obj \
  traceset.obj

#		*Explicit Rules*
m termination

qp: vm2t.cfg $(EXE_dependencies)
  $(TLINK) /v/x/i/c/d/P-/L\BORLANDC\LIB @&&|
c0s.obj+
\arcsgml\s\arclexrf.obj+
\arcsgml\s\arcpcbrf.obj+
\arcsgml\s\arcsynrf.obj+
\arcsgml\s\context.obj+
\arcsgml\s\modmd1.obj+
\arcsgml\s\modmd2.obj+
\arcsgml\s\modpars1.obj+
\arcsgml\s\modpars2.obj+
\arcsgml\s\modserv.obj+
\arcsgml\s\modsgml1.obj+
\arcsgml\s\modsgml2.obj+
\arcsgml\s\sgmlapi.obj+
\arcsgml\s\sgmlio.obj+
\arcsgml\s\sgmlmem.obj+
\arcsgml\s\sgmlmsg.obj+
\arcsgml\s\sgmlxtrn.obj+
\arcsgml\s\vm2.obj+
\arcsgml\s\vmxtrn.obj+
\arcsgml\s\traceset.obj
\arcsgml\s\vm2t
		# no map file
cs.lib
|


#		*Individual File Dependencies*
arclexrf.obj: arclexrf.c 

arcpcbrf.obj: arcpcbrf.c 

arcsynrf.obj: arcsynrf.c 

context.obj: context.c 

modmd1.obj: modmd1.c 

modmd2.obj: modmd2.c 

modpars1.obj: modpars1.c 

modpars2.obj: modpars2.c 

modserv.obj: modserv.c 

modsgml1.obj: modsgml1.c 

modsgml2.obj: modsgml2.c 

sgmlapi.obj: sgmlapi.c 

sgmlio.obj: sgmlio.c 

sgmlmem.obj: sgmlmem.c 

sgmlmsg.obj: sgmlmsg.c 

sgmlxtrn.obj: sgmlxtrn.c 

vm2.obj: vm2.c 

vmxtrn.obj: vmxtrn.c 

traceset.obj: traceset.c 

#		*Compiler Configuration File*
vm2t.cfg: vm2t.mak
  copy &&|
-f-
-K
-v
-y
-G
-d
-b-
-wpin
-wamb
-wamp
-wasm
-wpro
-wcln
-wdef
-wsig
-wnod
-wstv
-wucp
-wuse
-n\ARCSGML\S
-IARCSGML\C;\BORLANDC\INCLUDE
-L\BORLANDC\LIB
| vm2t.cfg


